package org.klomp.bpms.bpml;

import java.util.ArrayList;
import java.util.List;

public class Context {
    /** Connect, Process and Property objects. They all implement the interface
     *  Contextual.
     */
    private List contextuals = new ArrayList();

    /** Optional Exception declaration. */
    private Exception exception;
    
    /** Optional Transaction declaration. */
    private Transaction transaction;
    
    /** Optional Completion declaration. */
    private Completion completion;
    
    public List getContextuals() {
        return contextuals;
    }

    public void setContextuals(List contextuals) {
        this.contextuals = contextuals;
    }

    public Completion getCompletion() {
        return completion;
    }

    public Exception getException() {
        return exception;
    }

    public Transaction getTransaction() {
        return transaction;
    }

    public void setCompletion(Completion completion) {
        this.completion = completion;
    }

    public void setException(Exception exception) {
        this.exception = exception;
    }

    public void setTransaction(Transaction transaction) {
        this.transaction = transaction;
    }

}
