package org.klomp.bpms.bpml.activity;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.Activity;

public class Compensate implements Activity {
    private AnyNode documentation;
    private String name;
    /** Required name of transaction to compensate for or the special
     *  value "#all".
     */
    private String transaction;

    /** List of parameter outputs. */
    private List outputs = new ArrayList();
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public String getName() {
        return name;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List getOutputs() {
        return outputs;
    }

    public String getTransaction() {
        return transaction;
    }

    public void setOutputs(List outputs) {
        this.outputs = outputs;
    }

    public void setTransaction(String transaction) {
        this.transaction = transaction;
    }

}
