package org.klomp.bpms.bpml.activity;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.Activity;

public class Spawn implements Activity {
    private AnyNode documentation;
    private String name;
    
    /** Required name of process to spawn. */
    private String process;
    
    /** List of ParameterOutput objects. */
    private List outputs = new ArrayList();
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public String getName() {
        return name;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List getOutputs() {
        return outputs;
    }

    public String getProcess() {
        return process;
    }

    public void setOutputs(List outputs) {
        this.outputs = outputs;
    }

    public void setProcess(String process) {
        this.process = process;
    }

}
