package org.klomp.bpms.bpml.activity;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.Activity;

public class Switch implements Activity {    
    private AnyNode documentation;
    
    private String name;
        
    /** Minimum of 1 SwitchCase object. */
    private List cases = new ArrayList();
    
    /** Optional default branch for switch. */
    private SwitchDefault fDefault;


    public AnyNode getDocumentation() {
        return documentation;
    }

    public String getName() {
        return name;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public void setName(String name) {
        this.name = name;
    }
    
    public List getCases() {
        return cases;
    }

    public SwitchDefault getDefault() {
        return fDefault;
    }

    public void setCases(List cases) {
        this.cases = cases;
    }

    public void setDefault(SwitchDefault pDefault) {
        this.fDefault = pDefault;
    }

}
