package org.klomp.bpms.bpml;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.activity.Action;

public class OnMessage implements EventHandler {
    private AnyNode documentation;

    /** Message-consuming action that triggers this event handler. */
    private Action action;
    
    /** Optional context definition. */
    private Context context;
    
    private List activities = new ArrayList();
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public Action getAction() {
        return action;
    }

    public void setAction(Action action) {
        this.action = action;
    }
    
    public List getActivities() {
        return activities;
    }

    public Context getContext() {
        return context;
    }

    public void setActivities(List activities) {
        this.activities = activities;
    }

    public void setContext(Context context) {
        this.context = context;
    }

}
