package org.klomp.bpms.bpml.activity;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.ActivitySet;
import org.klomp.bpms.bpml.Condition;
import org.klomp.bpms.bpml.Context;
import org.klomp.bpms.bpml.Documented;

public class SwitchCase implements ActivitySet, Documented {
    private AnyNode documentation;
    
    private Condition condition;
    
    /** Optional context definition. */
    private Context context;
    
    private List activities = new ArrayList();
    
    public List getActivities() {
        return activities;
    }

    public Context getContext() {
        return context;
    }

    public void setActivities(List activities) {
        this.activities = activities;
    }

    public void setContext(Context context) {
        this.context = context;
    }
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public Condition getCondition() {
        return condition;
    }

    public void setCondition(Condition condition) {
        this.condition = condition;
    }

}
